## scopt 3.5.0

=== debian/changelog ===
scopt (3.5.0-1) experimental; urgency=medium

  * Initial release. (Closes: #855301)

 -- Frédéric Bonnard <frediz@linux.vnet.ibm.com>  Fri, 14 Apr 2017 12:37:49 +0000
