=== debian/control ===
Source: scopt
Section: java
Priority: optional
Maintainer: Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>
Uploaders: Frédéric Bonnard <frediz@linux.vnet.ibm.com>
Build-Depends: debhelper (>= 10), default-jdk, javahelper, maven-repo-helper, git
Standards-Version: 3.9.8
Homepage: https://github.com/scopt/scopt

Package: libscopt-java
Architecture: all
Depends: ${java:Depends}, ${misc:Depends}
Recommends: ${java:Recommends}
Description: Simple scala command line options parsing
 Scopt provides two styles of parsing: immutable and mutable.
 In immutable parsing style, a config object is passed around as an argument
 into action callbacks. On the other hand, in mutable parsing style you are
 expected to modify the config object in place.
