## scopt 3.5.0+repack

=== debian/changelog ===
scopt (3.5.0+repack-1) unstable; urgency=medium

  * Team upload.
  * Upload to unstable
  * No longer build with the embedded SBT using Scala 2.10 (Closes: #901520)
  * Removed the upstream tarballs with the embedded SBT and its dependencies
  * Removed the unused dependency on javahelper
  * Standards-Version updated to 4.2.1
  * Switch to debhelper level 11
  * Added the missing Vcs-* fields

 -- Emmanuel Bourg <ebourg@apache.org>  Wed, 14 Nov 2018 10:43:32 +0100
