=== debian/control ===
--- 
+++ 
@@ -3,8 +3,14 @@
 Priority: optional
 Maintainer: Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>
 Uploaders: Frédéric Bonnard <frediz@linux.vnet.ibm.com>
-Build-Depends: debhelper (>= 10), default-jdk, javahelper, maven-repo-helper, git
-Standards-Version: 3.9.8
+Build-Depends:
+ debhelper (>= 11),
+ default-jdk,
+ maven-repo-helper,
+ scala
+Standards-Version: 4.2.1
+Vcs-Git: https://salsa.debian.org/java-team/scopt.git
+Vcs-Browser: https://salsa.debian.org/java-team/scopt
 Homepage: https://github.com/scopt/scopt
 
 Package: libscopt-java
