=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/dpkg/pkg-info.mk

SCALA_VERSION=$(shell scala -version 2>&1 | cut -f 5 -d ' ')
SCALA_MAJOR=$(shell scala -version 2>&1 | cut -f 5 -d ' ' | cut -f 1 -d '.')
SCALA_MINOR=$(shell scala -version 2>&1 | cut -f 5 -d ' ' | cut -f 2 -d '.')
SCALA_BINARY_VERSION=$(SCALA_MAJOR).$(SCALA_MINOR)

%:
	dh $@ --with maven-repo-helper

override_dh_auto_build:
	mkdir -p target/classes
	scalac -d target/classes $(shell find src/main/scala -name *.scala)
	jar cf target/scopt.jar -C target/classes .

get-orig-poms:
	wget https://repo1.maven.org/maven2/com/github/scopt/scopt_$(SCALA_BINARY_VERSION)/$(DEB_VERSION_UPSTREAM)/scopt_$(SCALA_BINARY_VERSION)-$(DEB_VERSION_UPSTREAM).pom -O debian/pom.xml
