=== debian/watch ===
version=4
opts=repack,compression=xz,filenamemangle=s/.+\/v?(\d\S*)\.tar\.gz/sbt-$1\.tar\.gz/,dversionmangle=s/\+repack//,uversionmangle=s/-(RC|M)/~$1/ \
  https://github.com/scopt/scopt/tags .*/v?(\d\S*)\.tar\.gz
